@import "../../../../assets/css/constants.scss";
::host {
  width: 100%;
}
.header-section {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-around;
  .logo-container {
    width: 40%;
    position: relative;
    display: flex;
    align-items: center;
    a {
      position: absolute;
      left: 15%;
      img {
        height: 30px;
        width: 100%;
        width: 180px;
      }
    }
  }
  .desktop-view {
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
  }
  .links-container {
    width: 60%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    .mobile-nav-container {
      display: none;
    }
    a {
      color: inherit;
      &:hover {
        color: inherit;
        text-decoration: none;
      }
    }
  }
  
}

@media only screen and (max-width: 768px) {
  .home-header {
    top: 20px;
  }
  .desktop-view {
    display: none !important;
  }
  .logo-container {
    display: flex;
    align-items: center;
  }
  .hamburger {
    display: block;
    width: 20%;
    font-size: 30px;
    cursor: pointer;
    right: -17px;
    position: absolute;
    top: 0px;
    right: -66px;
    color: black;
  }
  .mobile-nav-container {
    display: flex !important;
    position: relative;
    height: 64px;
  }
  .mobile-nav-container ul {
    padding: 0;
    list-style: none;
  }
  .mobile-logo-container {
    display: flex;
    justify-content: left;
    width: 80%;
  }
  .mobile-logo-container img {
    width: 200px;
  }
  .mobile-sidenav {
    display: block;
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 9999;
    top: 0;
    left: 0;
    background-color: $SANED_PRIMARY-COLOR;
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 60px;
    #header-links {
      display: none;
    }
    .btn-container ul {
      flex-direction: row;
    }
  }

  .mobile-sidenav a {
    text-decoration: none;
    font-size: 15px;
    color: $PRIMARY_WHITE !important;
    display: block;
    transition: 0.3s;
  }

  .mobile-sidenav a:hover {
    color: $SANED_SECONDARY_COLOR;
  }

  .mobile-sidenav .closebtn {
    position: absolute;
    top: -9px;
    right: 10px;
    font-size: 30px;
    margin-left: 50px;
  }
}

@media screen and (max-height: 450px) {
  .mobile-sidenav {
    padding-top: 30px;
  }
  .mobile-sidenav a {
    font-size: 18px;
  }
}
